Subject: Re: bug#65805: 30.0.50; quoted-insert doesn't work in zap-to-char

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Sep 2023 18:07:46 +0300

> From: Filipp Gunbin <[email-masked]>
> Date: Thu, 07 Sep 2023 17:53:33 +0300
> 
> Hi, I'm not sure this should be treated as bug (and can be fixed), but
> still I find it inconvenient.
> 
> - emacs -Q
> - Open new buffer in text mode
> - Type "foo C-q C-i bar"
> - Now, with point at "foo", isearch for tab character works: "C-s C-q C-i"
> - But zap-to-char doesn't: "M-z C-q C-i RET" displays "Wrong answer"

That's because we switched to using read-from-minibuffer (via
read-char-from-minibuffer) instead of using read-char, for the dubious
benefit of being able to use history in this command, see bug#10477.
And read-from-minibuffer interprets some characters specially.

Stefan, is there a way to have this cake and eat it, too?